.spacer {
    display: block;
    width: 100%;
    height: 55px;
}

.gallery-container {
    max-width: 1020px;
    margin: 5px auto 0px auto;
    display: grid;
    grid-template-columns: auto auto auto;
    gap: 80px;
    padding: 20px;
}

.gallery-item {
    border: 1px solid rgb(202, 216, 226);
    background-color: white;
    transform: scale(.1);
    transition: 1s;
    box-shadow: 0px 2px 4px rgba(0, 0, 0, 0.1);
    cursor: pointer;
}

.gallery-item:hover {
    border: 1px solid #4ce6fa;
}

@keyframes fadeIn {
    from {opacity: 0}
    to {opacity: 1}
}

.gallery-item.is-visible {
    animation: fadeIn 1s ease 0s 1 forwards;
    transform: scale(1);
}

.gallery-image {
    padding: 10px;
}

.gallery-image img{
    width: 100%;
}

.gallery-info {
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
    border-top: 1px solid rgb(202, 216, 226);
    width: 100%;
    height: 140px;
    display: none;
    flex-direction: column;
    justify-content: center;
    text-align: center;
    align-content: center;
    padding: 10px;
}

.info-title {
    font-size: .9em;
    text-transform: uppercase;
    color: rgb(134, 162, 181);
    font-weight: 400;
    line-height: 110%;
    margin-bottom: 3px;
}

.info {
    font-size: .85em;
    color: rgb(134, 162, 181);
    font-weight: 300;
    line-height: 125%;
}

h1 {
    display: block;
    font-size: calc(40px + 6vw + 1vmin);
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
    font-weight: 200;
    background: -webkit-linear-gradient(#8dbfcf, #3a576f);
    -webkit-background-clip: text;
     background-clip: text;
    -webkit-text-fill-color: transparent;
    text-transform: uppercase;
    line-height: 78%;
    margin: 0px;
    padding: 0px;
    margin-block-start: 0em;
    margin-block-end: 0em;
}

h2 {
    margin: 0px 0px 15px 0px;
    display: block;
    font-size: 4vw;
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
    font-weight: 300;
    color: var(--blue);
    line-height: 100%;
    letter-spacing: -1px;
}

.scrolltitle {
    right: 200%;
    position: relative;
    top: 0;
    white-space: nowrap;
}

.scrolltitle.is-visible {
    animation: slideLeft 1s ease-in-out;
    animation-fill-mode: forwards;
    animation-delay: 0s;
}

@keyframes slideRight {
    from {left: 200%}
    to {left: 20px}
}

.section-title2 {
    position: relative;
    top: 0;
    left: 200%;
}

.section-title2.is-visible {
    animation: slideRight 1s linear;
    animation-fill-mode: forwards;
    animation-delay: 0s;
}

@keyframes slideLeft {
    from {right: 200%}
    to {right: -10px}
}

.section-title1 {
    position: relative;
    top: 0;
    right: -10px;
}

.section-title1.is-visible {
    animation: slideLeft 1s linear;
    animation-fill-mode: forwards;
    animation-delay: 0s;
}

#port-icon {
    width: 11%;
    margin: 0px 10px 0px 10px;
}

@keyframes slideDown {
    from {top: -600px; opacity: 0;}
    to {top: 0; opacity: 1;}
}

.portfolio-title {
    position: relative;
    top: -600px;
    margin: 130px 0px 20px 10px;
    font-size: calc(16pt + 6vw + 1vmin);
}

.portfolio-title.is-visible {
    animation: slideDown .5s linear;
    animation-fill-mode: forwards;
    animation-delay: 0s;
}

.portfolio-row {
    width: 100%;
    display: flex;
    flex-direction: column;
    padding: 20px;
}

.portfolioType {
    width: 100%;
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
    font-size: 16pt;
    font-weight: 200;
    color: var(--darkblue);
    line-height: 150%;
    margin-bottom: 40px;
    letter-spacing: .5px;
}

.portfolio > section {
    padding: 50px 12% 55px 28%;
}

@keyframes slideIntoView {
    from {left: -35%}
    to {left: 0}
}

@keyframes slideOut {
    from {left: 0}
    to {left: -35%}
}

.portfolio-menu.slide-in {
    animation: slideIntoView 1s ease-in-out;
    animation-fill-mode: forwards;
    animation-delay: 0s;
}

.portfolio-menu.slide-out {
    animation: slideOut 1s ease-in-out;
    animation-fill-mode: forwards;
    animation-delay: 0s;
}

#portfolio-icon {
    width: 100%;
    max-width: 150px;
    margin-left: -5px;
}

.portfolio-menu {
    width: 18%;
    min-width: 209px;
    height: 100%;
    position: fixed;
    left: -35%;
    top: 0;
    display: flex;
    align-items: center;
    padding: 20px 0px 150px 0px;
    background-color: var(--orange);
    border-right: 1px solid var(--orange);
    z-index: 1;
    box-shadow: 2px 0px 6px rgba(0, 0, 0, 0.3);
    transform: 1s;
}

.links-block {
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: flex-start;
}

.portfolio-menu-link {
    width: 100%;
    cursor: pointer;
    color: white;
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
    font-size: calc(6px + 1vh + 1vmin);
    font-weight: 300;
    padding: 10px 10px 10px 40px;
}

.portfolio-menu-link:hover {
    color: white;
    background-color: var(--darkblue);
}

@media only screen and (max-width: 1027px) {

    @keyframes slideDown {
        from {top: -325px}
        to {top: 0}
    }

    @keyframes slideLeft {
        from {right: 200%}
        to {right: -20px}
    }
    
    .portfolio-title {
        position: relative;
        top: -325px;
        margin: 0px 0px 10px 20px;
        font-size: calc(13pt + 6vw + 1vmin);
    }
    .spacer {
        height: 40px;
    }

    h1 {
        font-size: calc(12vw + 1vmin);
        margin-left: 10px;
    }

    h2 {
        font-size: 10vw;
        margin: 0px 15px;
    }
    
    .gallery-container {
        width: 98%;
        grid-template-columns: 50% 50%;
        gap: 10px;
        padding: 10px;
    }

    .portfolio-row {
        width: 90%;
        padding: 10px 0px 10px 0px;
        margin: 0px 20px;
    }

    .portfolio-menu {
        min-width: 93px;
        max-width: 240px;
        left: -35%;
        padding: 140px 0px 20px 0px;
        align-items: flex-start;
        border-right: .5px solid var(--darkblue);
    }

    .portfolio-menu-link {
        padding: 5px 10px 5px 10px;
    }

    .portfolio > section {
        padding: 55px 15px 55px 26%;
    }

    #port-icon {
        width: 8.5%;
        margin: 0px 8px 0px 10px;
    }

    #portfolio-icon {
        width: 95%;
    }

    .portfolioType {
        margin-bottom: 20px;
    }
}